ParsedStatement (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class ParsedStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement

- Direct Known Subclasses:
    AuthenticationStatement, AuthorizationStatement, CFStatement, UseStatement

      public abstract class ParsedStatement
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ParsedStatement.Prepared`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedStatement()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VariableSpecifications` | `getBoundVariables()`
    `java.lang.Iterable<Function>` | `getFunctions()`
    `abstract ParsedStatement.Prepared` | `prepare(ClientState clientState)`
    `void` | `setBoundVariables(java.util.List<ColumnIdentifier> boundNames)`
    `void` | `setBoundVariables(VariableSpecifications variables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedStatement

          public ParsedStatement()

  - ### Method Detail

    - #### getBoundVariables

          public VariableSpecifications getBoundVariables()

    - #### setBoundVariables

          public void setBoundVariables(java.util.List<ColumnIdentifier> boundNames)

    - #### setBoundVariables

          public void setBoundVariables(VariableSpecifications variables)

    - #### prepare

          public abstract ParsedStatement.Prepared prepare(ClientState clientState)
                                                    throws RequestValidationException

      Throws:
        `RequestValidationException`

    - #### getFunctions

          public java.lang.Iterable<Function> getFunctions()

Copyright © 2018 The Apache Software Foundation